
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName:腾风 我的
 */

import { request } from '../index'

// 用户信息
const userIndex = () => {
	return request({
		url: 'user/info'
	})
}

// 上传头像
const setting = (key, data) => {
	return request({
		url: 'user/setting/' + key,
        method: 'PUT',
        data: data
	})
}

// 订单列表
const orders = (data) => {
	return request({
		url: 'mall/orders',
        data: data
	})
}

// 订单详情
const goodsDet = (order_no) => {
	return request({
		url: 'mall/orders/' + order_no
	})
}

// 订单签收
const goodsSign = (order_no) => {
	return request({
		url: 'mall/orders/' + order_no + '/sign',
        method: 'PUT'
	}, true)
}

// 我的伙伴
const relations = () => {
	return request({
		url: 'user/relations'
	})
}

// 我的推广码
const invite = () => {
	return request({
		url: 'user/invite'
	})
}

export {
    userIndex,
    setting,
    orders,
    goodsDet,
    goodsSign,
    relations,
    invite
}
